package uca.baptistearthur.geocaching.ui.overlay

import android.view.MotionEvent
import org.osmdroid.util.GeoPoint
import org.osmdroid.views.MapView
import org.osmdroid.views.overlay.Marker

class PlaceMarker(val mapView: MapView, val locations: MutableSet<GeoPoint>) : Marker(mapView) {

    override fun onLongPress(e: MotionEvent?, mapView: MapView?): Boolean {
        if(this.hitTest(e, mapView)) {
            locations.remove(this.position)
            this.closeInfoWindow()
            mapView?.overlays?.remove(this)
        }
        return true
    }
}